<?php
/***********************************************************************************
* download Button  © 2012-2014, DhaYzon		        							   *
************************************************************************************
* Subs-DownloadButton.php														   *
************************************************************************************
* License http://creativecommons.org/licenses/by-nc-nd/3.0/deed.ru CC BY-NC-ND     *
* Support and updates for this software can be found at	http://DhaYzon.com         *
***********************************************************************************/

if (!defined('SMF'))
	die('Hacking attempt...');

function dbutton_load_theme()
{
	global $txt, $modSettings, $context, $settings;

	loadLanguage('DownloadButton');


	if (isset($_REQUEST['sa']) && $_REQUEST['sa'] == 'showoperations') return;

	loadTemplate(false, 'download');

}


function dbutton_bbc_codes(&$codes){

	global $modsettings, $settings, $context, $txt;

	foreach ($codes as $tag => $dump)
		if ($dump['tag'] == 'download') unset($codes[$tag]);

	if (allowedTo('view_downloadButton'))
	{
		$codes[] = array(
			'tag' => 'download',
			'before' => '<div href="#" class="a-btn"><span class="a-btn-symbol"><img src="'.$settings['images_url'].'/arrow_down_black.png" atl="" title=""  /></span><span class="a-btn-text">'.(!empty($modsettings['dbutton_title']) ? $modsettings['dbutton_title'] : $txt['download_now']).'</span><span class="a-btn-slide-text">'.(!empty($context['forum_name']) ? $context['forum_name'] : $txt['forum_name']) .'</span><span class="a-btn-slide-icon"></span><div class="download-content">',
			'after' =>	'</div></div>',
			'block_level' => true,
			 );
		$codes[] = array(
			'tag' => 'download',
			'type' => 'unparsed_equals',
			'before' => '<div href="#" class="a-btn"><span class="a-btn-symbol"><img src="'.$settings['images_url'].'/arrow_down_black.png" atl="" title=""/></span><span class="a-btn-text">$1</span><span class="a-btn-slide-text">'.(!empty($context['forum_name']) ? $context['forum_name'] : $txt['forum_name']) .'</span><span class="a-btn-slide-icon"></span><div class="download-content">',
			'after' => '</div></div>',
			'block_level' => true,

			);

	}
	else{

	$codes[] = array(

			'tag' => 'download',
			'type' => 'unparsed_content',
			'content' => '<div  class="a-btn centertext"><span class="no-view">'.$txt['no_view'].'</span></div>',
			'block_level' => true,
			 );
	$codes[] = array(
			'tag' => 'download',
			'type' => 'unparsed_equals_content',
			'content'  => '<div  class="a-btn centertext"><span class="no-view">'.$txt['no_view'].'</span></div>',
			'block_level' => true,

			);
	}

}

function dbutton_bbc_buttons(&$buttons){

	   global $txt;

	   $buttons [count($buttons) - 1][] = array(
		'image' => 'cloud-download',
		'code' => 'download',
		'before' => '[download]',
		'after' => '[/download]',
		'description' =>  $txt['download_now']
	);
}

function dbuttonm_buffer(&$buffer)
{
	global $context, $settings;

	if (isset($_REQUEST['xml']) || $context['current_action'] == 'printpage') return $buffer;

	$dbutton = 'sImage: ' . JavaScriptEscape($settings['images_url'] . '/bbc/cloud-download.gif');
	$default = 'sImage: ' . JavaScriptEscape($settings['default_images_url'] . '/bbc/cloud-download.gif');
	$replacements[$dbutton] = $default;

	return str_replace(array_keys($replacements), array_values($replacements), $buffer);
}


function dbutton_permissions(&$permissionGroups, &$permissionList)
{
	$permissionList['membergroup']['view_downloadButton'] = array(false, 'general', 'view_basic_info');
}

function dbutton_settings(&$config_vars)
{
	global $modSettings, $txt;

	if (isset($config_vars[0])) $config_vars[] = array('title', 'dbutton_settings');
	if (empty($modSettings['dbutton_title'])) updateSettings(array('dbutton_title' =>  $txt['download_now']));

	$config_vars[] = array('text', 'dbutton_title');
	$config_vars[] = array('permissions', 'view_downloadButton');
}

?>